Skip to main content
POST
/
v1
/
stars
/
buy
Buy Stars
curl --request POST \
  --url https://api.fragapi.com/v1/stars/buy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>",
  "quantity": 5000025
}
'
{
  "messageHash": "<string>",
  "transactionId": "<string>",
  "photo": "<string>",
  "name": "<string>",
  "amount": 123,
  "avatarUrl": "<string>"
}

Authorizations

Authorization
string
header
required

User session scheme

Body

application/json
username
string
required

Telegram username of the user to whom buy stars

quantity
integer
required

Quantity of stars to buy

Required range: 50 <= x <= 10000000

Response

Successful Response

messageHash
string
required
transactionId
string<uuid4>
required
photo
string
required
name
string
required
amount
number
required

Amount that was reduced from your balance

avatarUrl
string
required
read-only